<template>
  <v-card>
      <v-toolbar dark color="primary">
        <v-btn icon dark @click.native="close">
            <v-icon>mdi-close</v-icon>
        </v-btn>
        <v-toolbar-title>Add New Comment</v-toolbar-title>
      </v-toolbar>
    <v-divider></v-divider>
    <v-container fluid>
    <v-form ref="form">
      <div class="form-group">
        <v-textarea
          name="komentar"
          class="form-control"
          v-model="komentar"
          placeholder="Add a new comment">
        </v-textarea>
      </div>

      <div class="form-group">
        <v-btn class="btn btn-primary" @click="saveNewComment(postId)">Save</v-btn>
      </div>

    </v-form>
    </v-container>
    </v-card>
</template>

<script>
import {mapActions, mapGetters} from 'vuex';
export default {
    data() {
      return {
        komentar: '',
        apiDomain: 'http://127.0.0.1:8000'
      }
    },

    computed: {
        ...mapGetters({
        user : 'auth/user',
        token : 'auth/token',
        postId : 'post/postId'
        }),
    },

    methods : {
        ...mapActions({
        setAlert  : 'alert/set',
        setToken : 'auth/setToken',
        setUser : 'auth/setUser',
    }),
        
      close() {
        this.$emit('closed', false)
      },

      saveNewComment(postId) {
         let formData = new FormData()
            formData.append('komentar', this.komentar)
            formData.append('postingan_id', postId)

        const config = { 
            method: "post",
            url: this.apiDomain + '/api/komentars',
            headers: {
              'Authorization' : 'Bearer' + this.token,
            },
            data: formData
        };
        this.axios(config)
            .then( () => {
                this.setAlert({
                    status : true,
                    color  : 'success',
                    text  : 'Anda berhasil memberikan komentar',
                })
                this.close()
            })
            .catch( (response) => {
              console.log(response)

                this.setAlert({
                    status : true,
                    color  : 'error',
                    text  : 'Gagal memberikan komentar',
                })
            })
        }
    
    },
}
</script>
